.ship-facilities {
    position: relative;
}

.ship-facilities .background {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
}

.ship-facilities .background img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.ship-facilities .overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: var(--primary-default);
    opacity: 32%;
}

.ship-facilities .block-header {
    display: flex;
    flex-direction: column;
    gap: 8px;
    position: relative;
    max-width: 888px;
    text-align: center;
    margin: 0 auto var(--spacing-large);
}

.ship-facilities .block-content {
    position: relative;
}

.facilities-list {
    display: flex;
    flex-wrap: wrap;
    gap: var(--spacing-small);
}

.facility-item {
    display: flex;
    height: 270px;
    padding: 24px;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    border-radius: 16px;
    background: var(--primary-light);
    flex: 1 0 calc(16.666% - (var(--spacing-small) * 1));
    max-width: calc(16.666% - (var(--spacing-small) * 1));
}

/* .facility-icon {
    display: flex;
    align-items: center;
    height: 64px;
    width: 64px;
} */

.facility-icon {
    display: flex;
    align-items: center;
    max-height: 64px;
    /* max-width: 64px; */
}

/* .facility-icon img {
    height: 100%;
} */

/* X-Large devices (large desktops, less than 1400px) */
@media (max-width: 1600px) {

    .facility-item {
        flex: 0 0 calc(25% - (var(--spacing-small)));
        max-width: calc(25% - (var(--spacing-small)));
    }

}

@media (max-width: 992px) {

    .facility-item {
        flex: 1 0 calc(33% - 24px);
        max-width: calc(33% - 24px);
    }

}

@media (max-width: 768px) {

    .facility-item {
        flex: 1 0 calc(50% - 24px);
        max-width: calc(50% - 10px);
    }

}

